// (C) 2021-2026 GoodData Corporation
import { loadNotificationChannelsCount } from "./loadNotificationChannelsCount.js";
import { loadWorkspaceAutomationsCount } from "./loadWorkspaceAutomationsCount.js";
export async function loadAutomationsData(ctx, settings) {
    const [notificationChannelsCount, workspaceAutomationsCount] = await Promise.all([
        loadNotificationChannelsCount(ctx, settings),
        loadWorkspaceAutomationsCount(ctx, settings),
    ]);
    return {
        notificationChannelsCount,
        workspaceAutomationsCount,
    };
}
